package pl.net.linux.krzak.kchat.server;
/*****************************/
/* kChat v2.0pre6	     */
/* krzak@linux.net.pl        */
/* Marcin Krzyzanowski       */
/* http://krzak.linux.net.pl */
/* License: GPL              */
/*****************************/
/* Copyright (C) 2001  Marcin Krzyzanowski <krzak@linux.net.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
import java.net.*;
import java.io.*;

public class kChatServerThread extends Thread
{
    Socket	   clientS;
    BufferedReader br;
    PrintWriter    pw;
    String  	   login     = "";
    String  	   channelName  = "";
    String  	   color  = "black";
    String	   host = new String();
    int		   ping = 0;
    private kChatSystem    systemClass = null;

    public kChatServerThread(java.net.Socket cl,kChatSystem cs)
 throws IOException {
    clientS = cl;
    systemClass = cs;
    br = new BufferedReader(new InputStreamReader(clientS.getInputStream()));
	
    pw = new PrintWriter(new BufferedWriter(new OutputStreamWriter(clientS.getOutputStream())),true);
    host = clientS.getInetAddress().getHostAddress();
    start();
    }

    public void run()
    {
    String liniaWe, liniaWy;
    try {
//	pw.println("WELCOME " + host +"\r\n");
	while (true) {
	    liniaWe = br.readLine();
	    if (liniaWe == null) break;
	    liniaWy = systemClass.getAnswerFor(liniaWe,this);
	    if (liniaWy.equals("BYE")) break;
	    pw.println(liniaWy);
	    }
	systemClass.quitFromSystem(login);
	} 
	catch (IOException e) {} 
	finally { try { systemClass.quitFromSystem(login);
 clientS.close(); } catch (IOException e) { }  }
    }
    
}